Importing an app after upgrading WAB Dev edition?

1597
13
Jump to solution
04-12-2017 10:42 AM
RichardHughes2
Occasional Contributor III

Hello,

After upgrading to the newest version of WAV Dev Edition 2.4, I'd like to not have to recreate my apps.  Is there a documented workflow or does esri not support this?

Tags (1)
0 Kudos
1 Solution

Accepted Solutions
13 Replies
RickeyFight
MVP Regular Contributor

You can import an existing app:

Create or import an app—Web AppBuilder for ArcGIS (Developer Edition) | ArcGIS for Developers 

Another option is to copy in your \server\apps folder from 2.3 to the 2.4 

This will work for small version changed such as 2.3-2.4 but I do not think i will work in larger changes such as 1.x-2.0

RebeccaStrauch__GISP
MVP Esteemed Contributor
RichardHughes2
Occasional Contributor III

Rebecca,

I've tried upgrading but keep getting an invalid path error.  Have you been able to use the upgrade console command?  

0 Kudos
RichardHughes2
Occasional Contributor III

Rebecca,

One other thing to note is that I have a git repo in the web app builder installation directory.  

0 Kudos
RebeccaStrauch__GISP
MVP Esteemed Contributor

Sorry. Wish I could say I've tried it, but I haven't yet.  Just wanted to provide the other help doc.  But Rickey's suggestion might actually work better.

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Richard,

   I use the command line upgrade each time a new version is released for WAB. The only thing to remember is that you need to launch the command line window with elevated privileges (Run As Administrator).

0 Kudos
RichardHughes2
Occasional Contributor III

Rob,

Just to be sure I ran it again and received this error.

 error message

Question: Is it an absolute requirement to have WebAppBuilder run inside the directory that it is extracted into?  How do you manage your git repo if this is the case since the repo has to be created in an empty directory?

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Richard,

   No there is no requirement to have WAB run in the directory it was extracted to. I don't use git for version management, so I don't have any advice there.

0 Kudos
Cook_CountyGIS
New Contributor II

Did you resolve this Invalid Path error?  I am unable to upgrade from 2.7 to 2.8.  

0 Kudos